Austin Group Defect Tracker

Aardvark Mark III


Viewing Issue Simple Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Type Date Submitted Last Update
0000641 [1003.1(2008)/Issue 7] System Interfaces Editorial Error 2013-01-15 16:25 2013-04-18 16:22
Reporter geoffclare View Status public  
Assigned To ajosey
Priority normal Resolution Accepted As Marked  
Status Resolved  
Name Geoff Clare
Organization The Open Group
User Reference
Section symlink
Page Number 2057
Line Number 65053
Interp Status ---
Final Accepted Text see Note: 0001541
Summary 0000641: symlink() path1 does not need to contain characters
Description The second paragraph of the symlink() description says:

    The string pointed to by path1 shall be treated only as a
    character string and shall not be validated as a pathname.

However, there is no requirement for path1 to contain valid
characters, and therefore the word "character" should not be
used.
Desired Action Change "character string" to "byte string".
Tags tc2-2008
Attached Files

- Relationships
related to 0000291Closedajosey filenames need not contain characters 

-  Notes
(0001451)
Don Cragun (manager)
2013-01-23 22:43

There is a definition for "character string" and for "string". There is no definition for "byte string". I agree that "character string" is inappropriate here, but the fix is just to change "character string" on P2057, L 65053 to "string"; not to "byte string".
(0001541)
eblake (manager)
2013-04-18 16:22

At page 2057 line 65053 [XSH symlink], change "character string" to "string".

- Issue History
Date Modified Username Field Change
2013-01-15 16:25 geoffclare New Issue
2013-01-15 16:25 geoffclare Status New => Under Review
2013-01-15 16:25 geoffclare Assigned To => ajosey
2013-01-15 16:25 geoffclare Name => Geoff Clare
2013-01-15 16:25 geoffclare Organization => The Open Group
2013-01-15 16:25 geoffclare Section => symlink
2013-01-15 16:25 geoffclare Page Number => 2057
2013-01-15 16:25 geoffclare Line Number => 65053
2013-01-15 16:25 geoffclare Interp Status => ---
2013-01-23 22:43 Don Cragun Note Added: 0001451
2013-04-18 16:18 eblake Relationship added related to 0000291
2013-04-18 16:22 eblake Note Added: 0001541
2013-04-18 16:22 eblake Final Accepted Text => see Note: 0001541
2013-04-18 16:22 eblake Status Under Review => Resolved
2013-04-18 16:22 eblake Resolution Open => Accepted As Marked
2013-04-18 16:22 eblake Tag Attached: tc2-2008


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker